MTA-STS-DAEMON(1)

NAME
mta-sts-daemon - provide MTA-STS policy to Postfix as policy map

SYNOPSIS

mta-sts-daemon [OPTION]...

DESCRIPTION

This daemon opens a socket where Postfix can query and retrieve the MTA-STS policy for a domain. The configuration file is described in mta-sts-daemon.yml(5).

MTA-STS, specified in RFC 8461 [0], is a security standard for email servers. When a site configures MTA-STS, other mail servers can require the successful authentication of that site when forwarding mail there.

OPTIONS

-h, --help
    show a help message and exit

-v, --verbosity VERBOSITY
    set log verbosity level: debug, info (default), warn, error, or fatal.

-c, --config FILE
    config file location (default: /etc/mta-sts-daemon.yml)

-l, --logfile FILE
    log file location (default: none)

--disable-uvloop
    do not use uvloop even if it is available (default: enabled if available)

EXAMPLES

Configure Postfix in /etc/postfix/main.cf:

    smtp_tls_policy_maps = socketmap:inet:127.0.0.1:8461:postfix
    smtp_tls_CApath = /etc/ssl/certs/

Reload Postfix. Then verify it works:

/usr/sbin/postmap -q dismail.de socketmap:inet:127.0.0.1:8461:postfix

SEE ALSO

mta-sts-query(1), mta-sts-daemon.yml(5)

NOTES

0.
    SMTP MTA Strict Transport Security (MTA-STS):